Package org.drinkless.tdlib

# Class TdApi.MessageVideoChatScheduled

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageContent
org.drinkless.tdlib.TdApi.MessageVideoChatScheduled

Enclosing class:
  `TdApi`

public static class TdApi.MessageVideoChatScheduled extends TdApi.MessageContent
A new video chat was scheduled.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.MessageContent

  `TdApi.MessageContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `groupCallId`
  Identifier of the video chat.
  `int`
  `startDate`
  Point in time (Unix timestamp) when the group call is expected to be started by an administrator.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageVideoChatScheduled()`
  A new video chat was scheduled.
  `MessageVideoChatScheduled(int groupCallId, int startDate)`
  A new video chat was scheduled.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### groupCallId

    public int groupCallId
    Identifier of the video chat. The video chat can be received through the method getGroupCall.

  - ### startDate

    public int startDate
    Point in time (Unix timestamp) when the group call is expected to be started by an administrator.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessageVideoChatScheduled

    public MessageVideoChatScheduled()
    A new video chat was scheduled.

  - ### MessageVideoChatScheduled

    public MessageVideoChatScheduled(int groupCallId, int startDate)
    A new video chat was scheduled.
    Parameters:
      `groupCallId` - Identifier of the video chat. The video chat can be received through the method getGroupCall.
      `startDate` - Point in time (Unix timestamp) when the group call is expected to be started by an administrator.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.MessageContent`
    Returns:
      this.CONSTRUCTOR